package com.fs.fastGpt.service;

import com.fs.fastGpt.domain.FastGptChatSession;
import com.fs.fastGpt.param.FastGptChatSessionParam;
import com.fs.fastGpt.vo.FastGptChatSessionCVO;
import com.fs.fastGpt.vo.FastGptChatSessionListCVO;
import com.fs.qwHookApi.vo.QwHookMsgVO;
import com.fs.sop.vo.QwSopLogsDoSendListTVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 对话关系Service接口
 *
 * @author fs
 * @date 2024-10-10
 */
public interface IFastGptChatSessionService
{
    /**
     * 查询对话关系
     *
     * @param sessionId 对话关系主键
     * @return 对话关系
     */
    public FastGptChatSession selectFastGptChatSessionBySessionId(Long sessionId);

    /**
     * 查询对话关系列表
     *
     * @param fastGptChatSession 对话关系
     * @return 对话关系集合
     */
    public List<FastGptChatSession> selectFastGptChatSessionList(FastGptChatSession fastGptChatSession);

    /**
     * 新增对话关系
     *
     * @param fastGptChatSession 对话关系
     * @return 结果
     */
    public int insertFastGptChatSession(FastGptChatSession fastGptChatSession);

    /**
     * 修改对话关系
     *
     * @param fastGptChatSession 对话关系
     * @return 结果
     */
    public int updateFastGptChatSession(FastGptChatSession fastGptChatSession);

    /**
     * 批量删除对话关系
     *
     * @param sessionIds 需要删除的对话关系主键集合
     * @return 结果
     */
    public int deleteFastGptChatSessionBySessionIds(Long[] sessionIds);

    /**
     * 删除对话关系信息
     *
     * @param sessionId 对话关系主键
     * @return 结果
     */
    public int deleteFastGptChatSessionBySessionId(Long sessionId);

    List<FastGptChatSessionListCVO> selectFastGptChatSessionListCVO(FastGptChatSessionParam param);

    FastGptChatSessionCVO selectFastGptChatSessionCVOBySessionId(Long sessionId);

    void sendAiTouch(QwSopLogsDoSendListTVO log,String corpId);

//    void addAiMsgBySop(List<QwSopLogsDoSendListTVO> sendJsApiList,String corpId);

    void addAiMsgBySopByStatus(String id);

    void qwHookNotifyAddMsg(QwHookMsgVO msgVo);
}
